Loading...
Searching...
No Matches
engine_graph.h File Reference
`#include "fourdst/atomic/atomicSpecies.h"`
`#include "fourdst/composition/composition.h"`
`#include "fourdst/logging/logging.h"`
`#include "fourdst/config/config.h"`
`#include "gridfire/types/types.h"`
`#include "gridfire/reaction/reaction.h"`
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/screening/screening_abstract.h"`
`#include "gridfire/screening/screening_types.h"`
`#include "gridfire/partition/partition_abstract.h"`
`#include "gridfire/engine/procedures/construction.h"`
`#include "gridfire/config/config.h"`
`#include "gridfire/engine/scratchpads/blob.h"`
`#include "ankerl/unordered_dense.h"`
`#include <string>`
`#include <unordered_map>`
`#include <vector>`
`#include <memory>`
`#include <ranges>`
`#include <functional>`
`#include "cppad/cppad.hpp"`
`#include "cppad/utility/sparse_rc.hpp"`
`#include "cppad/speed/sparse_jac_fun.hpp"`
`#include "gridfire/reaction/weak/weak_interpolator.h"`
`#include "gridfire/reaction/weak/weak_rate_library.h"`
Include dependency graph for engine_graph.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | gridfire::engine::GraphEngine
| A reaction network engine that uses a graph-based representation. More...
struct | gridfire::engine::GraphEngine::PrecomputedReaction
struct | gridfire::engine::GraphEngine::constants
class | gridfire::engine::GraphEngine::AtomicReverseRate
struct | gridfire::engine::GraphEngine::PrecomputationKernelResults

## Namespaces

namespace | gridfire
namespace | gridfire::engine

## Typedefs

typedef CppAD::AD< double > | gridfire::engine::ADDouble
| Alias for CppAD AD type for double precision.

## Variables

static constexpr double | gridfire::engine::MIN_DENSITY_THRESHOLD = 1e-18
| Minimum density threshold below which reactions are ignored.
static constexpr double | gridfire::engine::MIN_ABUNDANCE_THRESHOLD = 1e-18
| Minimum abundance threshold below which species are ignored.
static constexpr double | gridfire::engine::MIN_JACOBIAN_THRESHOLD = 1e-24
| Minimum value for Jacobian matrix entries.